List of all members
clan::SoundProvider Class Referenceabstract
clanSound Audio Mixing

Sound provider. More...

`#include <soundprovider.h>`

Inheritance diagram for clan::SoundProvider:

## Public Member Functions
Construction
| SoundProvider ()
virtual | ~SoundProvider ()
Operations
virtual SoundProvider_Session * | begin_session ()=0
| Called by SoundBuffer when a new session starts. More...
virtual void | end_session (SoundProvider_Session *session)=0
| Called by SoundBuffer when a session has finished. After this call,. More...

## Detailed Description

Sound provider.

Interface to sound sources. Used by the SoundBuffer class to start and stop playback.

The documentation for this class was generated from the following file:

- soundprovider.h